<?php
/*
Plugin Name: the_category Reloaded
Plugin URI: http://mummila.net/nuudelisoppa/?page_id=1429
Description: A comments_number() -like the_category() replacement, for prefixing the list of categories differently depending on the number of categories.
Author: Jani Uusitalo
Version: 0.9
Author URI: http://mummila.net/nuudelisoppa
*/

function ju_the_category($nil_prefix = '', $single_prefix = '', $plural_prefix = '', $separator = '', $parents='') {
	$cats = get_the_category_list($separator, $parents);
	if ($cats == "") {
		echo $nil_prefix;
		return;
	}
	$cats_array = explode($separator, $cats);
	$prefix = $single_prefix;
	if (count($cats_array) > 1)	$prefix = $plural_prefix;
	echo $prefix;
	for ($i=0; $i<count($cats_array)-1; $i++)	echo $cats_array[$i] . $separator;
	echo $cats_array[$i];
}
?>